> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usemandate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Recover API Key



## OpenAPI

````yaml /openapi.json post /accounts/api-keys-admin
openapi: 3.1.0
info:
  title: Mandate API
  version: 0.1.0
servers:
  - url: https://api.usemandate.io
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Agents
  - name: Mandates
  - name: Payments
  - name: Sellers
  - name: Verification
  - name: Transactions
  - name: Audit
  - name: Accounts
  - name: Policy
paths:
  /accounts/api-keys-admin:
    post:
      tags:
        - Accounts
      summary: Recover API Key
      operationId: recover_api_key_route_accounts_api_keys_admin_post
      parameters:
        - name: x_service_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X Service Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecoverApiKeyRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Recover Api Key Route Accounts Api Keys Admin Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RecoverApiKeyRequest:
      properties:
        developer_id:
          type: string
          title: Developer Id
          example: dev_abc123
        label:
          type: string
          title: Label
          default: Recovered dashboard key
          example: Recovered dashboard key
        key_type:
          type: string
          title: Key Type
          default: sandbox
          example: sandbox
      type: object
      required:
        - developer_id
      title: RecoverApiKeyRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Use your sandbox (ky_sand_) or production (ky_prod_) API key

````